OnlyFans API
FanslySubscribers

List Subscription Tiers

Get all subscription tiers configured on the Fansly Account, including pricing plans and benefits. Tier IDs from this endpoint can be used as the subscription_tier_id filter on the List Subscribers endpoint.

GET
/api/fansly/{fanslyAccount}/subscription-tiers
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/subscription-tiers"
{
  "data": [
    {
      "id": "700000000000000001",
      "accountId": "800000000000000001",
      "name": "Starter Tier",
      "color": "#FF6F61",
      "pos": 0,
      "price": 5000,
      "maxSubscribers": 0,
      "subscriptionBenefits": [
        "Access to all photos and videos on the wall",
        "Chat access"
      ],
      "includedTierIds": [],
      "plans": [
        {
          "id": "700000000000000010",
          "status": 1,
          "billingCycle": 30,
          "price": 5000,
          "useAmounts": 0,
          "promos": []
        },
        {
          "id": "700000000000000011",
          "status": 1,
          "billingCycle": 90,
          "price": 13500,
          "useAmounts": 0,
          "promos": []
        }
      ]
    },
    {
      "id": "700000000000000002",
      "accountId": "800000000000000001",
      "name": "Premium Tier",
      "color": "#FF69B4",
      "pos": 1,
      "price": 99000,
      "maxSubscribers": 0,
      "subscriptionBenefits": [
        "All Starter benefits",
        "Bonus content drops"
      ],
      "includedTierIds": [
        "700000000000000001"
      ],
      "plans": [
        {
          "id": "700000000000000020",
          "status": 1,
          "billingCycle": 30,
          "price": 99000,
          "useAmounts": 0,
          "promos": []
        }
      ]
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055810,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}